Package com.independentsoft.office.word.numbering

# Class NumberingLevel

java.lang.Object
com.independentsoft.office.word.numbering.NumberingLevel

public class NumberingLevel extends Object
The Class NumberingLevel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberingLevel()`
  Instantiates a new numbering level.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberingLevel`
  `clone()`
  `NumberingFormat`
  `getFormat()`
  Gets the format.
  `HorizontalAlignmentType`
  `getJustification()`
  Gets the justification.
  `LegacyNumberingLevel`
  `getLegacyLevel()`
  Gets the legacy level.
  `int`
  `getLevel()`
  Gets the level.
  `ParagraphProperties`
  `getParagraphProperties()`
  Gets the paragraph properties.
  `String`
  `getParagraphStyleName()`
  Gets the paragraph style name.
  `int`
  `getPictureID()`
  Gets the picture id.
  `int`
  `getRestart()`
  Gets the restart.
  `RunProperties`
  `getRunProperties()`
  Gets the run properties.
  `int`
  `getStart()`
  Gets the start.
  `String`
  `getSuffix()`
  Gets the content between a number and the paragraph text.
  `String`
  `getTemplateCode()`
  Gets the template code.
  `ExtendedBoolean`
  `getTentative()`
  Gets the tentative.
  `NumberingLevelText`
  `getText()`
  Gets the text.
  `ExtendedBoolean`
  `getUseArabic()`
  Gets the use arabic.
  `void`
  `setFormat​(NumberingFormat format)`
  Sets the format.
  `void`
  `setJustification​(HorizontalAlignmentType justification)`
  Sets the justification.
  `void`
  `setLegacyLevel​(LegacyNumberingLevel legacyLevel)`
  Sets the legacy level.
  `void`
  `setLevel​(int level)`
  Sets the level.
  `void`
  `setParagraphStyleName​(String paragraphStyleName)`
  Sets the paragraph style name.
  `void`
  `setPictureID​(int pictureID)`
  Sets the picture id.
  `void`
  `setRestart​(int restart)`
  Sets the restart.
  `void`
  `setStart​(int start)`
  Sets the start.
  `void`
  `setSuffix​(String suffix)`
  Sets the content between a number and the paragraph text.
  `void`
  `setTemplateCode​(String templateCode)`
  Sets the template code.
  `void`
  `setTentative​(ExtendedBoolean tentative)`
  Sets the tentative.
  `void`
  `setText​(NumberingLevelText text)`
  Sets the text.
  `void`
  `setUseArabic​(ExtendedBoolean useArabic)`
  Sets the use arabic.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberingLevel

    public NumberingLevel()
    Instantiates a new numbering level.

- ## Method Details

  - ### clone

    public NumberingLevel clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getParagraphProperties

    public ParagraphProperties getParagraphProperties()
    Gets the paragraph properties.
    Returns:
      the paragraph properties

  - ### getRunProperties

    public RunProperties getRunProperties()
    Gets the run properties.
    Returns:
      the run properties

  - ### getUseArabic

    public ExtendedBoolean getUseArabic()
    Gets the use arabic.
    Returns:
      the use arabic

  - ### setUseArabic

    public void setUseArabic​(ExtendedBoolean useArabic)
    Sets the use arabic.
    Parameters:
      `useArabic` - the new use arabic

  - ### getTentative

    public ExtendedBoolean getTentative()
    Gets the tentative.
    Returns:
      the tentative

  - ### setTentative

    public void setTentative​(ExtendedBoolean tentative)
    Sets the tentative.
    Parameters:
      `tentative` - the new tentative

  - ### getTemplateCode

    public String getTemplateCode()
    Gets the template code.
    Returns:
      the template code

  - ### setTemplateCode

    public void setTemplateCode​(String templateCode)
    Sets the template code.
    Parameters:
      `templateCode` - the new template code

  - ### getSuffix

    public String getSuffix()
    Gets the content between a number and the paragraph text. Allowed values are "tab", "space" and "nothing".
    Returns:
      the suffix

  - ### setSuffix

    public void setSuffix​(String suffix)
    Sets the content between a number and the paragraph text. Allowed values are "tab", "space" and "nothing".
    Parameters:
      `suffix` - the new suffix

  - ### getLegacyLevel

    public LegacyNumberingLevel getLegacyLevel()
    Gets the legacy level.
    Returns:
      the legacy level

  - ### setLegacyLevel

    public void setLegacyLevel​(LegacyNumberingLevel legacyLevel)
    Sets the legacy level.
    Parameters:
      `legacyLevel` - the new legacy level

  - ### getJustification

    public HorizontalAlignmentType getJustification()
    Gets the justification.
    Returns:
      the justification

  - ### setJustification

    public void setJustification​(HorizontalAlignmentType justification)
    Sets the justification.
    Parameters:
      `justification` - the new justification

  - ### getPictureID

    public int getPictureID()
    Gets the picture id.
    Returns:
      the picture id

  - ### setPictureID

    public void setPictureID​(int pictureID)
    Sets the picture id.
    Parameters:
      `pictureID` - the new picture id

  - ### getRestart

    public int getRestart()
    Gets the restart.
    Returns:
      the restart

  - ### setRestart

    public void setRestart​(int restart)
    Sets the restart.
    Parameters:
      `restart` - the new restart

  - ### getStart

    public int getStart()
    Gets the start.
    Returns:
      the start

  - ### setStart

    public void setStart​(int start)
    Sets the start.
    Parameters:
      `start` - the new start

  - ### getText

    public NumberingLevelText getText()
    Gets the text.
    Returns:
      the text

  - ### setText

    public void setText​(NumberingLevelText text)
    Sets the text.
    Parameters:
      `text` - the new text

  - ### getFormat

    public NumberingFormat getFormat()
    Gets the format.
    Returns:
      the format

  - ### setFormat

    public void setFormat​(NumberingFormat format)
    Sets the format.
    Parameters:
      `format` - the new format

  - ### getParagraphStyleName

    public String getParagraphStyleName()
    Gets the paragraph style name.
    Returns:
      the paragraph style name

  - ### setParagraphStyleName

    public void setParagraphStyleName​(String paragraphStyleName)
    Sets the paragraph style name.
    Parameters:
      `paragraphStyleName` - the new paragraph style name

  - ### getLevel

    public int getLevel()
    Gets the level.
    Returns:
      the level

  - ### setLevel

    public void setLevel​(int level)
    Sets the level.
    Parameters:
      `level` - the new level